Translations
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/translations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/translations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/translations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/translations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/translations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/translations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/translations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 1434,
"translations": [
{
"iso_3166_1": "US",
"iso_639_1": "en",
"name": "English",
"english_name": "English",
"data": {
"name": "Season 7",
"overview": ""
}
},
{
"iso_3166_1": "DE",
"iso_639_1": "de",
"name": "Deutsch",
"english_name": "German",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "HU",
"iso_639_1": "hu",
"name": "Magyar",
"english_name": "Hungarian",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "BS",
"iso_639_1": "bs",
"name": "Bosanski",
"english_name": "Bosnian",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "RU",
"iso_639_1": "ru",
"name": "Pусский",
"english_name": "Russian",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "IT",
"iso_639_1": "it",
"name": "Italiano",
"english_name": "Italian",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "CZ",
"iso_639_1": "cs",
"name": "Český",
"english_name": "Czech",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "ES",
"iso_639_1": "es",
"name": "Español",
"english_name": "Spanish",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "IL",
"iso_639_1": "he",
"name": "עִבְרִית",
"english_name": "Hebrew",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "FR",
"iso_639_1": "fr",
"name": "Français",
"english_name": "French",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "BR",
"iso_639_1": "pt",
"name": "Português",
"english_name": "Portuguese",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "NL",
"iso_639_1": "nl",
"name": "Nederlands",
"english_name": "Dutch",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "SA",
"iso_639_1": "ar",
"name": "العربية",
"english_name": "Arabic",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "GE",
"iso_639_1": "ka",
"name": "ქართული",
"english_name": "Georgian",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "ES",
"iso_639_1": "ca",
"name": "Català",
"english_name": "Catalan",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "PT",
"iso_639_1": "pt",
"name": "Português",
"english_name": "Portuguese",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "FI",
"iso_639_1": "fi",
"name": "suomi",
"english_name": "Finnish",
"data": {
"name": "",
"overview": ""
}
}
]
}TV SEASONS
Translations
This endpoint is used to get the translations for a tv season.
GET
/
tv
/
{series_id}
/
season
/
{season_number}
/
translations
Translations
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/translations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/translations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/translations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/translations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/translations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/translations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/translations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 1434,
"translations": [
{
"iso_3166_1": "US",
"iso_639_1": "en",
"name": "English",
"english_name": "English",
"data": {
"name": "Season 7",
"overview": ""
}
},
{
"iso_3166_1": "DE",
"iso_639_1": "de",
"name": "Deutsch",
"english_name": "German",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "HU",
"iso_639_1": "hu",
"name": "Magyar",
"english_name": "Hungarian",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "BS",
"iso_639_1": "bs",
"name": "Bosanski",
"english_name": "Bosnian",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "RU",
"iso_639_1": "ru",
"name": "Pусский",
"english_name": "Russian",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "IT",
"iso_639_1": "it",
"name": "Italiano",
"english_name": "Italian",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "CZ",
"iso_639_1": "cs",
"name": "Český",
"english_name": "Czech",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "ES",
"iso_639_1": "es",
"name": "Español",
"english_name": "Spanish",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "IL",
"iso_639_1": "he",
"name": "עִבְרִית",
"english_name": "Hebrew",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "FR",
"iso_639_1": "fr",
"name": "Français",
"english_name": "French",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "BR",
"iso_639_1": "pt",
"name": "Português",
"english_name": "Portuguese",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "NL",
"iso_639_1": "nl",
"name": "Nederlands",
"english_name": "Dutch",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "SA",
"iso_639_1": "ar",
"name": "العربية",
"english_name": "Arabic",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "GE",
"iso_639_1": "ka",
"name": "ქართული",
"english_name": "Georgian",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "ES",
"iso_639_1": "ca",
"name": "Català",
"english_name": "Catalan",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "PT",
"iso_639_1": "pt",
"name": "Português",
"english_name": "Portuguese",
"data": {
"name": "",
"overview": ""
}
},
{
"iso_3166_1": "FI",
"iso_639_1": "fi",
"name": "suomi",
"english_name": "Finnish",
"data": {
"name": "",
"overview": ""
}
}
]
}